<? $this->layout()->disableLayout() ?>
<form class="form-common" action="<?= $this->baseUrl() ?>/geography/<?= $this->entity ?>/edit?id=<?= $this->item->id ?>" method="get">
	<? if ( ! is_null($this->parents) ): ?>
	<div class="inner">
		<label for="parent_id">Parent</label>
		<select name="parent_id" id="parent_id">
			<option value="">-</option>
			<? foreach ($this->parents as $parent_title => $items): ?>
			<? if ( is_array($items) ): ?>
				<optgroup label="<?= $parent_title ?>">
					<? foreach ($items as $child_title => $item): ?>
					
					<? if ( ! is_array($item) ): ?>
						<option value="<?= $item->id ?>"<?= $this->item->parent_id = $item->id ? ' selected="selected"' : '' ?>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?= $item->title ?>&nbsp;&nbsp;</option>
					<? else: ?>
						<optgroup label="&nbsp;&nbsp;&nbsp;&nbsp;<?= $child_title ?>">
						<? foreach ($item as $row): ?>
							<option value="<?= $row->id ?>"<?= $this->item->parent_id = $row->id ? ' selected="selected"' : '' ?>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?= $row->title ?>&nbsp;&nbsp;</option>
						<? endforeach; ?>
						</optgroup>
					<? endif; ?>
					
					<? endforeach; ?>
				</optgroup>
			<? else: $item = $items ?>
				<option value="<?= $parent->id ?>"<?= $this->item->parent_id = $item->id ? ' selected="selected"' : '' ?>><?= $item->title ?>&nbsp;&nbsp;</option>
			<? endif; ?>
			<? endforeach; ?>
		</select>
	</div>
	<div class="clear"></div>
	<? endif; ?>
	
	<div class="inner">
		<label for="title">Title</label>
		<input class="txt" type="text" id="title" name="title" value="<?= $this->item->getTitle() ?>" />
	</div>
	<div class="clear"></div>
</form>
